
#Introduction to R Tutorial 
#Learing how to import and explore data, make graphs, about biodiversity
#Olivia Rodriguez
#ZOOL 421 
#February 17th 2021


#Install package dplyr
install.packages("dplyr")
library(dplyr)

#Import data

edidiv <- read.csv("edidiv.csv")

#check data
head(edidiv) # checks first few lines
tail(edidiv) #checks last few lines
str(edidiv)

head(edidiv$taxonGroup)
class(edidiv$taxonGroup)

edidiv$taxonGroup <- as.factor(edidiv$taxonGroup)

##calculate species richness

#Start by creating objects for each taxon

Beetle <- filter(edidiv, taxonGroup == "Beetle")
Bird <- filter(edidiv, taxonGroup == "Bird")   
Butterfly <- filter(edidiv, taxonGroup == "Butterfly")   
Dragonfly <- filter(edidiv, taxonGroup == "Dragonfly")   
Flowering.Plants <- filter(edidiv, taxonGroup == "Flowering.Plants")  
Fungus <- filter(edidiv, taxonGroup == "Fungus") 
Hymenopteran <- filter(edidiv, taxonGroup == "Hymenopteran") 
Lichen <- filter(edidiv, taxonGroup == "Lichen") 
Liverwort <- filter(edidiv, taxonGroup == "Liverwort") 
Mammal <- filter(edidiv, taxonGroup == "Mammal") 
Mollusc <- filter(edidiv, taxonGroup == "Mollusc") 

#count number of species 

a <- length(unique(Beetle$taxonName))
b <- length(unique(Bird$taxonName))
c <- length(unique(Butterfly$taxonName))
d <- length(unique(Dragonfly$taxonName))
e <- length(unique(Flowering.Plants$taxonName))
f <- length(unique(Fungus$taxonName))
g <- length(unique(Hymenopteran$taxonName))
h <- length(unique(Lichen$taxonName))
i <- length(unique(Liverwort$taxonName))
k <- length(unique(Mammal$taxonName))
l <- length(unique(Mollusc$taxonName))

## Create a Vector and plot

#chain together values

biodiv <- c(a,b,c,d,e,f,g,h,i,k,l)   

#Atttach labels to letter values
names(biodiv) <- c("Beetle",
                   "Bird",
                   "Butterfly",
                   "Dragonfly",
                   "Flowering.Plants",
                   "Fungus",
                   "Hymenopteran",
                   "Lichen",
                   "Liverwort",
                   "Mammal",
                   "Mollusc")

#Plot species richness with barplot() function

barplot(biodiv, xlab="Taxa", ylab="Number of species", 
        ylim=c(0,600), cex.names= 1.0, cex.axis=1.0, cex.lab=1.0)
dev.off()


#Create a data frame and plot it

# Creating an object called "taxa" that contains all the taxa names
taxa <- c("Beetle",
          "Bird",
          "Butterfly",
          "Dragonfly",
          "Flowering.Plants",
          "Fungus",
          "Hymenopteran",
          "Lichen",
          "Liverwort",
          "Mammal",
          "Mollusc")

# Turning this object into a factor, i.e. a categorical variable
taxa_f <- factor(taxa)

# Combining all the values for the number of species in an object  called richness
richness <- c(a,b,c,d,e,f,g,h,i,k,l)

# Creating the data frame from the two vectors
biodata <- data.frame(taxa_f, richness)

# Saving the file
write.csv(biodata, file="biodata.csv")  # it will be saved in your working directory

#Plot Dataframe biodata
barplot(biodata$richness, names.arg=c("Beetle",
                                      "Bird",
                                      "Butterfly",
                                      "Dragonfly",
                                      "Flowering.Plants",
                                      "Fungus",
                                      "Hymenopteran",
                                      "Lichen",
                                      "Liverwort",
                                      "Mammal",
                                      "Mollusc"),
        xlab="Taxa", ylab="Number of species", ylim=c(0,600))


##Deliverable###

wingspan <-read.csv("Wingspans.csv")

sparrow <- mean(22, 24, 21) #this is how you would calculate the   mean for sparrows. 
kingfisher <- mean(26,23, 25)
eagle <- mean(195, 185, 201)
hummingbird <- mean(8,9,9)


# Chain  them together in a vector
wingspan <- c(sparrow, kingfisher, eagle, hummingbird)
# Create a bird species vector (careful to match the order of the previous vector!)
bird_sp <- c("sparrow", "kingfisher", "eagle", "hummingbird")

class(bird_sp)                      # currently character
bird_sp <- as.factor(bird_sp)       # transforming into factor
class(bird_sp)                      # now a factor! 


# Then, combine the two vectors in a data frame
wings <- data.frame(bird_sp, wingspan)

barplot(wings$wingspan, names.arg = wings$bird_sp,    
        xlab = "Bird species", 
        ylab = "Average wingspan (cm)",      # adding axis titles
        ylim = c(0, 200),    # setting the limits of the y axis to fit the eagle
        col = "blue"         # changing the color because why not!
)

hist(wingspan)

summary(wingspan)

str(wingspan)
